Permalink
Browse files

add runtime deps that are needed

  • Loading branch information...
1 parent ebeb448 commit 0a45204ed247c95488967a0d32cd8f0d47a1b731 @yyyc514 yyyc514 committed Dec 13, 2010
Showing with 9 additions and 2 deletions.
  1. +1 −0 Rakefile
  2. +8 −2 zendesk-api.gemspec
View
@@ -9,6 +9,7 @@ Echoe.new('zendesk-api', '0.3.2') do |p|
p.email = "pg.ericson@gmail.com"
p.ignore_pattern = ["tmp/*", "script/*"]
p.development_dependencies = []
+ p.runtime_dependencies = ["crack >=0.1.8", "activesupport >=2.3"]
end
# how to build the new gem ( I can't remember so here it is for all time)
# rake build_gemspec
View
@@ -2,11 +2,11 @@
Gem::Specification.new do |s|
s.name = %q{zendesk-api}
- s.version = "0.3.1"
+ s.version = "0.3.2"
s.required_rubygems_version = Gem::Requirement.new(">= 1.2") if s.respond_to? :required_rubygems_version=
s.authors = ["Peter Ericson"]
- s.date = %q{2010-10-05}
+ s.date = %q{2010-12-13}
s.description = %q{RubyGem wrapper for REST API to http://zendesk.com}
s.email = %q{pg.ericson@gmail.com}
s.extra_rdoc_files = ["README.markdown", "lib/console.rb", "lib/zendesk-api.rb", "lib/zendesk.rb", "lib/zendesk/attachment.rb", "lib/zendesk/entry.rb", "lib/zendesk/forum.rb", "lib/zendesk/group.rb", "lib/zendesk/main.rb", "lib/zendesk/organization.rb", "lib/zendesk/search.rb", "lib/zendesk/tag.rb", "lib/zendesk/ticket.rb", "lib/zendesk/user.rb"]
@@ -23,8 +23,14 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<crack>, [">= 0.1.8"])
+ s.add_runtime_dependency(%q<activesupport>, [">= 2.3"])
else
+ s.add_dependency(%q<crack>, [">= 0.1.8"])
+ s.add_dependency(%q<activesupport>, [">= 2.3"])
end
else
+ s.add_dependency(%q<crack>, [">= 0.1.8"])
+ s.add_dependency(%q<activesupport>, [">= 2.3"])
end
end

0 comments on commit 0a45204

Please sign in to comment.